classification
Title: c_make_encoder() has uncovered error: "argument 1 must be dict or None"
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: lukasz.langa, miss-islington, sobolevn
Priority: normal Keywords: patch

Created on 2021-09-23 09:32 by sobolevn, last changed 2021-09-28 21:57 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 28540 merged sobolevn, 2021-09-24 07:43
PR 28609 merged miss-islington, 2021-09-28 21:18
PR 28610 merged miss-islington, 2021-09-28 21:18
Messages (5)
msg402482 - (view) Author: Nikita Sobolev (sobolevn) * Date: 2021-09-23 09:32
Looks like we never test error that `markers` are limited to `None` and `dict` types. Here: https://github.com/python/cpython/blob/main/Modules/_json.c#L1252-L1255

Coverage report: https://app.codecov.io/gh/python/cpython/blob/master/Modules/_json.c line: 1252

I will submit a unit test for it today.

Related: https://bugs.python.org/issue6986
msg402808 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-09-28 21:18
New changeset e046aabbe386fdf32bae6ffb7fae5ce479fd10c6 by Nikita Sobolev in branch 'main':
bpo-45269: test wrong `markers` type to `c_make_encoder` (GH-28540)
https://github.com/python/cpython/commit/e046aabbe386fdf32bae6ffb7fae5ce479fd10c6
msg402810 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-09-28 21:52
New changeset c6b5ceae3475d7782ed88f4e54bdb2232a8eb088 by Miss Islington (bot) in branch '3.9':
bpo-45269: test wrong `markers` type to `c_make_encoder` (GH-28540) (GH-28610)
https://github.com/python/cpython/commit/c6b5ceae3475d7782ed88f4e54bdb2232a8eb088
msg402811 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-09-28 21:56
New changeset 1cb17be3e6a4d94629606a613acd07f78d50348b by Miss Islington (bot) in branch '3.10':
bpo-45269: test wrong `markers` type to `c_make_encoder` (GH-28540) (GH-28609)
https://github.com/python/cpython/commit/1cb17be3e6a4d94629606a613acd07f78d50348b
msg402812 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-09-28 21:57
Thanks, Nikita! ✨ 🍰 ✨
History
Date User Action Args
2021-09-28 21:57:29lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg402812

stage: patch review -> resolved
2021-09-28 21:56:59lukasz.langasetmessages: + msg402811
2021-09-28 21:52:09lukasz.langasetmessages: + msg402810
2021-09-28 21:18:15miss-islingtonsetpull_requests: + pull_request26981
2021-09-28 21:18:11miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request26980
2021-09-28 21:18:08lukasz.langasetnosy: + lukasz.langa
messages: + msg402808
2021-09-24 07:43:34sobolevnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request26924
2021-09-23 09:32:38sobolevncreate